# TdApi.InputInlineQueryResultVoiceNote (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputInlineQueryResultVoiceNote

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultVoiceNote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultVoiceNote

Enclosing class:
  TdApi

public static final class TdApi.InputInlineQueryResultVoiceNote extends TdApi.InputInlineQueryResult
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`id`
Unique identifier of the query result.
`TdApi.InputMessageContent`
`inputMessageContent`
The content of the message to be sent.
`TdApi.ReplyMarkup`
`replyMarkup`
The message reply markup; pass null if none.
`String`
`title`
Title of the voice note.
`int`
`voiceNoteDuration`
Duration of the voice note, in seconds.
`String`
`voiceNoteUrl`
The URL of the voice note file.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResultVoiceNote()`
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.
`InputInlineQueryResultVoiceNote(DataInput input)`
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.
`InputInlineQueryResultVoiceNote(String id, String title, String voiceNoteUrl, int voiceNoteDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### title

public String title
Title of the voice note.

### voiceNoteUrl

public String voiceNoteUrl
The URL of the voice note file.

### voiceNoteDuration

public int voiceNoteDuration
Duration of the voice note, in seconds.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageVoiceNote, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputInlineQueryResultVoiceNote

public InputInlineQueryResultVoiceNote()
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

### InputInlineQueryResultVoiceNote

public InputInlineQueryResultVoiceNote(String id, String title, String voiceNoteUrl, int voiceNoteDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

Parameters:
  `id` - String Unique identifier of the query result.
  `title` - String Title of the voice note.
  `voiceNoteUrl` - String The URL of the voice note file.
  `voiceNoteDuration` - int Duration of the voice note, in seconds.
  `replyMarkup` - ReplyMarkup The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - InputMessageContent The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageVoiceNote, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultVoiceNote

public InputInlineQueryResultVoiceNote(DataInput input) throws IOException
Represents a link to an opus-encoded audio file within an OGG container, single channel audio.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`